Перейти к основному содержимому

SteamMarketRunner API (0.1.0)

Download OpenAPI specification:Download

Operational backend for SteamMarketRunner trading automation.

notifications

NotificationSettingsController_get

Responses

Response samples

Content type
application/json
{
  • "enabled": true,
  • "minSeverity": "info",
  • "telegramChatId": "string",
  • "hasWebhook": true
}

NotificationSettingsController_update

Responses

Response samples

Content type
application/json
{
  • "enabled": true,
  • "minSeverity": "info",
  • "telegramChatId": "string",
  • "hasWebhook": true
}

NotificationFeedController_feed

query Parameters
limit
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

NotificationFeedController_activity

query Parameters
limit
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

UserAuditController_list

query Parameters
limit
required
string
offset
required
string
steamAccountId
required
string
category
required
string
severity
required
string
since
required
string
search
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

currency

CurrencyRatesController_get

Responses

Response samples

Content type
application/json
{
  • "rates": {
    },
  • "fetchedAt": "string"
}

preferences

PreferencesController_get

Responses

Response samples

Content type
application/json
{
  • "displayCurrency": "USD"
}

PreferencesController_update

Responses

Response samples

Content type
application/json
{
  • "displayCurrency": "USD"
}

auth

AuthController_signup

Request Body schema: application/json
required
email
required
string
password
required
string >= 12 characters

Responses

Request samples

Content type
application/json
{}

Response samples

Content type
application/json
{
  • "user": {
    }
}

AuthController_login

Request Body schema: application/json
required
email
required
string
password
required
string

Responses

Request samples

Content type
application/json
{
  • "email": "admin",
  • "password": "admin"
}

Response samples

Content type
application/json
{
  • "user": {
    }
}

AuthController_requestPasswordReset

Request Body schema: application/json
required
email
required
string

Responses

Request samples

Content type
application/json
{}

Response samples

Content type
application/json
{
  • "ok": true,
  • "token": "string",
  • "expiresAt": { }
}

AuthController_confirmPasswordReset

Request Body schema: application/json
required
token
required
string
password
required
string >= 12 characters

Responses

Request samples

Content type
application/json
{
  • "token": "opaque-token-string",
  • "password": "aNewStrongPassphrase"
}

Response samples

Content type
application/json
{
  • "ok": true
}

AuthController_me

Responses

Response samples

Content type
application/json
{
  • "user": {
    }
}

AuthController_logout

Responses

Response samples

Content type
application/json
{
  • "ok": true
}

AuthController_getServiceAuth

Responses

Response samples

Content type
application/json
{
  • "actor": {
    },
  • "requestId": "openclaw-probe-1",
  • "capabilities": {
    }
}

AuthController_listServiceApiKeys

Responses

Response samples

Content type
application/json
[
  • {
    }
]

AuthController_createServiceApiKey

Request Body schema: application/json
required
name
required
string

Responses

Request samples

Content type
application/json
{
  • "name": "OpenClaw"
}

Response samples

Content type
application/json
{
  • "key": "mops_plaintext_key",
  • "serviceKey": {
    }
}

AuthController_revokeServiceApiKey

path Parameters
id
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "name": "OpenClaw",
  • "prefix": "mops_abc",
  • "lastFour": "wxyz",
  • "createdAt": { },
  • "updatedAt": { },
  • "lastUsedAt": { },
  • "revokedAt": { }
}

health

HealthController_getHealth

Responses

Response samples

Content type
application/json
{
  • "ok": true,
  • "service": "steammarketrunner-api"
}

HealthController_getReadiness

Responses

Response samples

Content type
application/json
{
  • "ok": true,
  • "service": "steammarketrunner-api",
  • "status": "ready",
  • "signal": "SIGTERM",
  • "dependencies": {
    }
}

meta

MetaController_getErrorCodes

Responses

Response samples

Content type
application/json
{
  • "errorCodes": [
    ]
}

MetaController_getCapabilities

Responses

Response samples

Content type
application/json
{
  • "headers": {
    },
  • "idempotency": {
    },
  • "endpoints": {
    }
}

MetaController_getLimits

Responses

Response samples

Content type
application/json
{
  • "maxCandidatesPerJob": 100,
  • "minRequestDelayMs": 0
}

MetaController_getVersion

Responses

Response samples

Content type
application/json
{
  • "service": "steammarketrunner-api",
  • "version": "0.0.1",
  • "build": {
    }
}

games

GameCatalogController_list

Responses

Response samples

Content type
application/json
[
  • {
    }
]

steam-accounts

AccountsController_create

Request Body schema: application/json
required
displayName
required
string
steamId
string
object (UpsertSteamAccountSecretsDto)
object (UpsertProxyProfileDto)

Responses

Request samples

Content type
application/json
{
  • "displayName": "Main Steam",
  • "steamId": "76561198000000000",
  • "secrets": {
    },
  • "proxy": {
    }
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
  • "displayName": "Main Steam",
  • "steamId": "76561198000000000",
  • "status": "draft",
  • "sessionState": { },
  • "walletBalance": "10000",
  • "walletDelayedBalance": "82",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

AccountsController_list

Responses

Response samples

Content type
application/json
[
  • {
    }
]

AccountsController_get

path Parameters
steamAccountId
required
string

Responses

AccountsController_update

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
displayName
string
steamId
object or null
status
string
Enum: "draft" "ready" "blocked" "disabled"

Responses

Request samples

Content type
application/json
{
  • "displayName": "Main Steam",
  • "steamId": "76561198000000000",
  • "status": "draft"
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
  • "displayName": "Main Steam",
  • "steamId": "76561198000000000",
  • "status": "draft",
  • "sessionState": { },
  • "walletBalance": "10000",
  • "walletDelayedBalance": "82",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

AccountsController_delete

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
  • "displayName": "Main Steam",
  • "steamId": "76561198000000000",
  • "status": "draft",
  • "sessionState": { },
  • "walletBalance": "10000",
  • "walletDelayedBalance": "82",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

AccountsController_upsertSecrets

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
login
string
password
string
object

Responses

Request samples

Content type
application/json
{
  • "login": "steam-login",
  • "password": "steam-password",
  • "maFile": { }
}

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "hasLogin": true,
  • "hasPassword": true,
  • "hasMaFile": false,
  • "updatedAt": "2019-08-24T14:15:22Z"
}

AccountsController_getSecretsStatus

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "hasLogin": true,
  • "hasPassword": true,
  • "hasMaFile": false,
  • "updatedAt": "2019-08-24T14:15:22Z"
}

AccountsController_listAuditEvents

path Parameters
steamAccountId
required
string

Responses

proxy

ProxyController_getProxy

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "protocol": "http",
  • "host": "127.0.0.1",
  • "port": 8080,
  • "expectedIp": "203.0.113.10",
  • "lastStatus": "unknown",
  • "lastLatencyMs": 123,
  • "hasUsername": true,
  • "hasPassword": true,
  • "updatedAt": "2019-08-24T14:15:22Z"
}

ProxyController_upsertProxy

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
protocol
required
string
Enum: "http" "https" "socks4" "socks5"
host
required
string
port
required
number [ 1 .. 65535 ]
username
string
password
string
expectedIp
object or null

Responses

Request samples

Content type
application/json
{
  • "protocol": "http",
  • "host": "127.0.0.1",
  • "port": 8080,
  • "username": "proxy-user",
  • "password": "proxy-password",
  • "expectedIp": "203.0.113.10"
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "protocol": "http",
  • "host": "127.0.0.1",
  • "port": 8080,
  • "expectedIp": "203.0.113.10",
  • "lastStatus": "unknown",
  • "lastLatencyMs": 123,
  • "hasUsername": true,
  • "hasPassword": true,
  • "updatedAt": "2019-08-24T14:15:22Z"
}

ProxyController_testProxy

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "status": "missing_proxy",
  • "statusCode": 200,
  • "expectedIp": "203.0.113.10",
  • "observedIp": "203.0.113.10",
  • "latencyMs": 123,
  • "proxyUsed": true,
  • "message": "Proxy test succeeded."
}

market-state

MarketStateController_createItem

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
appid
required
number
contextid
required
string
marketHashName
required
string
itemNameid
string
displayName
string
object
object
object (TradeStateDto)

Responses

Request samples

Content type
application/json
{
  • "appid": 252490,
  • "contextid": "2",
  • "marketHashName": "Metal Facemask",
  • "itemNameid": "string",
  • "displayName": "string",
  • "gameMetadata": { },
  • "legacyState": { },
  • "tradeState": {
    }
}

Response samples

Content type
application/json
{
  • "item": {
    },
  • "tradeState": {
    }
}

MarketStateController_listItems

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "page": 1,
  • "pageSize": 100,
  • "pageCount": 18,
  • "total": 1793
}

MarketStateController_bulkMoveItems

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
itemIds
required
Array of strings <uuid> [ items <uuid > ]
groupId
string or null <uuid>

Responses

Request samples

Content type
application/json
{
  • "itemIds": [
    ],
  • "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55"
}

Response samples

Content type
application/json
{
  • "itemsMoved": 12,
  • "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55"
}

MarketStateController_bulkDeleteItems

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
scope
string
Enum: "selected" "query"
itemIds
Array of strings <uuid> [ items <uuid > ]
appid
number
groupId
string or null <uuid>
search
string
status
string

Responses

Request samples

Content type
application/json
{
  • "scope": "selected",
  • "itemIds": [
    ],
  • "appid": 252490,
  • "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55",
  • "search": "Abyss",
  • "status": "eligible"
}

Response samples

Content type
application/json
{
  • "itemsDeleted": 12
}

MarketStateController_patchItemTradeState

path Parameters
steamAccountId
required
string
itemId
required
string
Request Body schema: application/json
required
buyEnabled
boolean
sellEnabled
boolean
buyQuantity
object or null

Responses

Request samples

Content type
application/json
{
  • "buyEnabled": true,
  • "sellEnabled": false,
  • "buyQuantity": 4
}

Response samples

Content type
application/json
{
  • "buyEnabled": false,
  • "sellEnabled": false,
  • "buyPrice": 1000,
  • "sellNetPrice": 1200,
  • "sellGrossPrice": 1400,
  • "currency": "USD",
  • "buyQuantity": 1,
  • "activeBuyOrderId": { },
  • "activeBuyOrderCount": 0,
  • "activeListingCount": 0,
  • "inventoryCount": 1,
  • "marketItemId": "c22ca94e-d32e-4075-bcba-f188e21855ae",
  • "legacyState": { },
  • "updatedAt": "2019-08-24T14:15:22Z"
}

MarketStateController_cancelItemBuyOrder

path Parameters
steamAccountId
required
string
itemId
required
string

Responses

MarketStateController_cancelBuyOrdersByAge

path Parameters
steamAccountId
required
string

Responses

MarketStateController_removeAllListings

path Parameters
steamAccountId
required
string

Responses

MarketStateController_removeItemListings

path Parameters
steamAccountId
required
string
itemId
required
string

Responses

MarketStateController_listCatalogItems

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "page": 1,
  • "pageSize": 100,
  • "pageCount": 18,
  • "total": 1793,
  • "currency": "USD"
}

MarketStateController_importInventoryItems

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
appid
number
contextid
string

Responses

Request samples

Content type
application/json
{
  • "appid": 252490,
  • "contextid": "2"
}

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "appidsScanned": [
    ],
  • "heldDistinct": 10,
  • "matchedCatalogItems": 10,
  • "itemsAdded": 6,
  • "alreadyPresent": 4,
  • "notInCatalog": [
    ]
}

MarketStateController_addCatalogItemsToAccount

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
mode
string
Enum: "eligible" "all"
appid
number
groupId
string <uuid>
limit
number
offset
number
priceMin
number
priceMax
number
salesPerDayMin
number
salesPerDayMax
number
excludeWeapons
boolean
excludeStickersPatches
boolean
excludeSouvenirs
boolean
excludeAgents
boolean
excludeGraffiti
boolean
excludeCharms
boolean
excludeCasesKeysToolsOther
boolean
catalogItemIds
Array of strings <uuid> [ items <uuid > ]

Responses

Request samples

Content type
application/json
{
  • "mode": "eligible",
  • "appid": 252490,
  • "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55",
  • "limit": 500,
  • "offset": 0,
  • "priceMin": 0.5,
  • "priceMax": 10,
  • "salesPerDayMin": 3,
  • "salesPerDayMax": 50,
  • "excludeWeapons": true,
  • "excludeStickersPatches": true,
  • "excludeSouvenirs": true,
  • "excludeAgents": true,
  • "excludeGraffiti": true,
  • "excludeCharms": true,
  • "excludeCasesKeysToolsOther": true,
  • "catalogItemIds": [
    ]
}

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "catalogItemsScanned": 128,
  • "eligible": 83,
  • "itemsAdded": 70,
  • "alreadyPresent": 13,
  • "rejected": 45,
  • "skippedByLimit": 0,
  • "reasons": { }
}

MarketStateController_previewCatalogItemsForAccount

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
mode
string
Enum: "eligible" "all"
appid
number
groupId
string <uuid>
limit
number
offset
number
priceMin
number
priceMax
number
salesPerDayMin
number
salesPerDayMax
number
excludeWeapons
boolean
excludeStickersPatches
boolean
excludeSouvenirs
boolean
excludeAgents
boolean
excludeGraffiti
boolean
excludeCharms
boolean
excludeCasesKeysToolsOther
boolean
catalogItemIds
Array of strings <uuid> [ items <uuid > ]

Responses

Request samples

Content type
application/json
{
  • "mode": "eligible",
  • "appid": 252490,
  • "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55",
  • "limit": 500,
  • "offset": 0,
  • "priceMin": 0.5,
  • "priceMax": 10,
  • "salesPerDayMin": 3,
  • "salesPerDayMax": 50,
  • "excludeWeapons": true,
  • "excludeStickersPatches": true,
  • "excludeSouvenirs": true,
  • "excludeAgents": true,
  • "excludeGraffiti": true,
  • "excludeCharms": true,
  • "excludeCasesKeysToolsOther": true,
  • "catalogItemIds": [
    ]
}

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "catalogItemsScanned": 128,
  • "eligible": 83,
  • "itemsAdded": 70,
  • "alreadyPresent": 13,
  • "rejected": 45,
  • "skippedByLimit": 0,
  • "reasons": { }
}

MarketStateController_importLegacySettings

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
object (Object)

Responses

Request samples

Content type
application/json
{ }

Response samples

Content type
application/json
{
  • "runtimeSettings": {
    },
  • "strategyProfile": {
    },
  • "importedKeys": 82,
  • "runtimeKeys": [
    ],
  • "strategyKeys": [
    ]
}

MarketStateController_importListingsSnapshot

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
object
listings
required
Array of objects

Responses

Request samples

Content type
application/json
{
  • "currency": { },
  • "listings": [
    ]
}

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "listingsProcessed": 614,
  • "uniqueItems": 200,
  • "itemsUpserted": 200,
  • "catalogItemsUpserted": 200,
  • "priceSnapshotsCreated": 200
}

MarketStateController_createGroup

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
appid
required
number
name
required
string
legacyGroupId
string
sortOrder
number
object

Responses

Request samples

Content type
application/json
{
  • "appid": 252490,
  • "name": "High volume skins",
  • "legacyGroupId": "legacy-group-1",
  • "sortOrder": 0,
  • "metadata": { }
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "appid": 252490,
  • "name": "High volume skins",
  • "legacyGroupId": "legacy-group-1",
  • "sortOrder": 0,
  • "metadata": { },
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

MarketStateController_listGroups

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

MarketStateController_updateGroup

path Parameters
steamAccountId
required
string
groupId
required
string
Request Body schema: application/json
required
name
string
sortOrder
number
object

Responses

Request samples

Content type
application/json
{
  • "name": "High volume skins",
  • "sortOrder": 0,
  • "metadata": { }
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "appid": 252490,
  • "name": "High volume skins",
  • "legacyGroupId": "legacy-group-1",
  • "sortOrder": 0,
  • "metadata": { },
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

MarketStateController_deleteGroup

path Parameters
steamAccountId
required
string
groupId
required
string

Responses

Response samples

Content type
application/json
{
  • "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55",
  • "itemsDeleted": 42,
  • "groupDeleted": true
}

MarketStateController_createStrategyProfile

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
name
required
string
algorithm
string
algorithmBuy
string
object
object

Responses

Request samples

Content type
application/json
{
  • "name": "Default sell strategy",
  • "algorithm": "AVG",
  • "algorithmBuy": "AVG",
  • "settings": { },
  • "legacyAliases": { }
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "name": "Default sell strategy",
  • "algorithm": "AVG",
  • "algorithmBuy": "AVG",
  • "settings": { },
  • "legacyAliases": { },
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

MarketStateController_listStrategyProfiles

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

MarketStateController_upsertRuntimeSettings

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
object
object

Responses

Request samples

Content type
application/json
{
  • "settings": { },
  • "legacySettings": { }
}

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "settings": { },
  • "legacySettings": { },
  • "updatedAt": "2019-08-24T14:15:22Z"
}

MarketStateController_getRuntimeSettings

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "settings": { },
  • "legacySettings": { },
  • "updatedAt": "2019-08-24T14:15:22Z"
}

decisions

DecisionsController_listJobs

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

DecisionsController_getJobResult

path Parameters
steamAccountId
required
string
jobQueueId
required
string

Responses

Response samples

Content type
application/json
{
  • "job": {
    },
  • "audit": {
    },
  • "result": { },
  • "error": { }
}

DecisionsController_retryJob

path Parameters
steamAccountId
required
string
jobQueueId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "appid": 252490,
  • "type": "buy_analysis",
  • "jobQueueId": "4e8df10a-ec05-4672-82ee-3a1100dc2c76",
  • "bullJobId": "bull-job-1",
  • "status": "queued"
}

DecisionsController_cancelJob

path Parameters
steamAccountId
required
string
jobQueueId
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "appid": 252490,
  • "type": "buy_analysis",
  • "status": "queued",
  • "priority": 0,
  • "payload": { },
  • "attempts": 0,
  • "lastError": { },
  • "scheduledAt": "2019-08-24T14:15:22Z",
  • "startedAt": "2019-08-24T14:15:22Z",
  • "finishedAt": "2019-08-24T14:15:22Z"
}

DecisionsController_getJob

path Parameters
steamAccountId
required
string
jobQueueId
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "appid": 252490,
  • "type": "buy_analysis",
  • "status": "queued",
  • "priority": 0,
  • "payload": { },
  • "attempts": 0,
  • "lastError": { },
  • "scheduledAt": "2019-08-24T14:15:22Z",
  • "startedAt": "2019-08-24T14:15:22Z",
  • "finishedAt": "2019-08-24T14:15:22Z"
}

trading

RunnerController_getStatus

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "status": "running",
  • "currentJob": "cycle_dispatch",
  • "blockedReason": null,
  • "microbanUntil": "2019-08-24T14:15:22Z",
  • "throttleState": { },
  • "settings": {
    },
  • "safety": {
    },
  • "jobs": {
    }
}

RunnerController_diagnostics

path Parameters
steamAccountId
required
string

Responses

RunnerController_start

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "queuedJobs": [
    ],
  • "blockedReason": "account_not_ready",
  • "status": "running",
  • "currentJob": "cycle_dispatch"
}

RunnerController_stop

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "status": "stopped",
  • "currentJob": null,
  • "blockedReason": null
}

RunnerController_tick

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "queuedJobs": [
    ],
  • "blockedReason": "account_not_ready"
}

account-dashboard

AccountDashboardController_getOverview

Responses

Response samples

Content type
application/json
{
  • "generatedAt": "2019-08-24T14:15:22Z",
  • "summary": {
    },
  • "accounts": [
    ]
}

AccountDashboardController_getDashboard

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "generatedAt": "2019-08-24T14:15:22Z",
  • "account": {
    },
  • "proxy": {
    },
  • "runner": {
    },
  • "jobs": [
    ],
  • "auditEvents": [
    ]
}

account-setup-status

AccountSetupStatusController_getStatus

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "steamAccountId": "48aaee53-8302-4970-b717-8faa8713330a",
  • "generatedAt": "2019-08-24T14:15:22Z",
  • "account": {
    },
  • "secrets": {
    },
  • "sessionCredentials": {
    },
  • "proxy": {
    },
  • "runnerSafety": {
    },
  • "missingSteps": [
    ],
  • "blockingReasons": [
    ],
  • "setupComplete": false,
  • "readyForDryRun": true,
  • "readyForLiveRun": false
}

legacy-import

LegacyImportController_dryRunDatabase

Request Body schema: application/json
required
object
object
object
object

Responses

Request samples

Content type
application/json
{
  • "items": { },
  • "groups": { },
  • "group_settings": { },
  • "config": { }
}

Response samples

Content type
application/json
{
  • "sourceType": "indexeddb-json",
  • "recordsRead": 42,
  • "recordsImported": 3,
  • "warnings": [
    ],
  • "sampleKeys": [
    ],
  • "items": [
    ],
  • "groups": [
    ],
  • "strategyProfiles": [
    ],
  • "runtimeSettings": {
    }
}

LegacyImportController_applyDatabase

path Parameters
steamAccountId
required
string
Request Body schema: application/json
required
object
object
object
object

Responses

Request samples

Content type
application/json
{
  • "items": { },
  • "groups": { },
  • "group_settings": { },
  • "config": { }
}

Response samples

Content type
application/json
{
  • "sourceType": "indexeddb-json",
  • "recordsRead": 42,
  • "recordsImported": 3,
  • "warnings": [
    ],
  • "sampleKeys": [
    ],
  • "items": [
    ],
  • "groups": [
    ],
  • "strategyProfiles": [
    ],
  • "runtimeSettings": {
    },
  • "imported": {
    }
}

trading-stats

TradingStatsController_getRealizedPnl

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "currency": "USD",
  • "totals": {
    },
  • "items": [
    ]
}

TradingStatsController_getDaily

path Parameters
steamAccountId
required
string
query Parameters
days
required
string

Responses

Response samples

Content type
application/json
{
  • "currency": "USD",
  • "rows": [
    ]
}

TradingStatsController_getPnlTimeline

path Parameters
steamAccountId
required
string

Responses

Response samples

Content type
application/json
{
  • "currency": "USD",
  • "points": [
    ]
}

TradingStatsController_getLedger

path Parameters
steamAccountId
required
string
query Parameters
limit
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

TradingStatsController_ingest

path Parameters
steamAccountId
required
string
query Parameters
pages
required
string

Responses

Response samples

Content type
application/json
{
  • "ok": true,
  • "fetched": 200,
  • "ingested": 37
}

PortfolioController_getStats

Responses

Response samples

Content type
application/json
{
  • "accountCount": 4,
  • "byCurrency": [
    ],
  • "accounts": [
    ]
}

PortfolioController_getDaily

Responses